# AppCallbackGrpc (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackGrpc

- java.lang.Object
- - io.dapr.v1.AppCallbackGrpc

    @Generated(value="by gRPC proto compiler (version 1.42.1)",
               comments="Source: appcallback.proto")
    public final class AppCallbackGrpc
    extends Object

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

### Nested Class Summary

Nested Classes
`static class` `AppCallbackGrpc.AppCallbackBlockingStub` AppCallback V1 allows user application to interact with Dapr runtime.
`static class` `AppCallbackGrpc.AppCallbackFutureStub` AppCallback V1 allows user application to interact with Dapr runtime.
`static class` `AppCallbackGrpc.AppCallbackImplBase` AppCallback V1 allows user application to interact with Dapr runtime.
`static class` `AppCallbackGrpc.AppCallbackStub` AppCallback V1 allows user application to interact with Dapr runtime.

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListInputBindingsResponse>` `getListInputBindingsMethod()`
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListTopicSubscriptionsResponse>` `getListTopicSubscriptionsMethod()`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,​DaprAppCallbackProtos.BindingEventResponse>` `getOnBindingEventMethod()`
`static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,​CommonProtos.InvokeResponse>` `getOnInvokeMethod()`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,​DaprAppCallbackProtos.TopicEventResponse>` `getOnTopicEventMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static AppCallbackGrpc.AppCallbackBlockingStub` `newBlockingStub​(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackGrpc.AppCallbackFutureStub` `newFutureStub​(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackGrpc.AppCallbackStub` `newStub​(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getOnInvokeMethod

    public static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,​CommonProtos.InvokeResponse> getOnInvokeMethod()

#### getListTopicSubscriptionsMethod

    public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListTopicSubscriptionsResponse> getListTopicSubscriptionsMethod()

#### getOnTopicEventMethod

    public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,​DaprAppCallbackProtos.TopicEventResponse> getOnTopicEventMethod()

#### getListInputBindingsMethod

    public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListInputBindingsResponse> getListInputBindingsMethod()

#### getOnBindingEventMethod

    public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,​DaprAppCallbackProtos.BindingEventResponse> getOnBindingEventMethod()

#### newStub

    public static AppCallbackGrpc.AppCallbackStub newStub​(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static AppCallbackGrpc.AppCallbackBlockingStub newBlockingStub​(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static AppCallbackGrpc.AppCallbackFutureStub newFutureStub​(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()